Package org.apache.uima.resource.metadata.impl

# Class FsIndexCollection_impl

java.lang.Object
org.apache.uima.resource.metadata.impl.MetaDataObject_impl
org.apache.uima.resource.metadata.impl.FsIndexCollection_impl

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `FsIndexCollection`, `MetaDataObject`, `XMLizable`

public class FsIndexCollection_impl extends MetaDataObject_impl implements FsIndexCollection

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

- ## Field Summary

  ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `serialContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FsIndexCollection_impl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addFsIndex(FsIndexDescription aFsIndexDescription)`
  Adds an FS Index description to this collection.
  `String`
  `getDescription()`
  Gets the description of this FS Index Collection.
  `FsIndexDescription[]`
  `getFsIndexes()`
  Retrieves the FS Index descriptions that are part of this collection.
  `Import[]`
  `getImports()`
  Gets the imports declared by this FS Index Collection.
  `String`
  `getName()`
  Gets the name of this FS Index Collection.
  `String`
  `getVendor()`
  Gets the vendor of this FS Index Collection.
  `String`
  `getVersion()`
  Gets the version number of this FS Index Collection.
  `protected XmlizationInfo`
  `getXmlizationInfo()`
  To be implemented by subclasses to return information describing how to represent this object in XML.
  `void`
  `removeFsIndex(FsIndexDescription aFsIndexDescription)`
  Removes an FS Index description from this collection.
  `void`
  `resolveImports()`
  Resolves any import declarations in this FS Index Collection, adding the imported FsIndexDescriptions directly onto this FsIndexCollection's `fsIndexes` list.
  `void`
  `resolveImports(Collection<String> aAlreadyImportedFsIndexURLs, ResourceManager aResourceManager)`
  Deprecated.
  `void`
  `resolveImports(ResourceManager aResourceManager)`
  Resolves any import declarations in this FS Index Collection, adding the imported FsIndexDescriptions directly onto this FsIndexCollection's `fsIndexes` list.
  `void`
  `setDescription(String aDescription)`
  Sets the description of this FS Index Collection.
  `void`
  `setFsIndexes(FsIndexDescription[] aFSIndexes)`
  Retrieves the FS Index descriptions that are part of this collection.
  `void`
  `setImports(Import[] aImports)`
  Sets the imports declared by this FS Index Collection.
  `void`
  `setName(String aName)`
  Sets the name of this FS Index Collection.
  `void`
  `setVendor(String aVendor)`
  Sets the vendor of this FS Index Collection.
  `void`
  `setVersion(String aVersion)`
  Sets the version number of this FS Index Collection.

  ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Constructor Details

  - ### FsIndexCollection_impl

    public FsIndexCollection_impl()

- ## Method Details

  - ### getName

    public String getName()
    Description copied from interface: `FsIndexCollection`
    Gets the name of this FS Index Collection.
    Specified by:
      `getName` in interface `FsIndexCollection`
    Returns:
      the name of this FS Index Collection, null if none has been specified.
    See Also:
      - `ResourceMetaData.getName()`

  - ### setName

    public void setName(String aName)
    Description copied from interface: `FsIndexCollection`
    Sets the name of this FS Index Collection.
    Specified by:
      `setName` in interface `FsIndexCollection`
    Parameters:
      `aName` - the name of this FS Index Collection
    See Also:
      - `ResourceMetaData.setName(String)`

  - ### getVersion

    public String getVersion()
    Description copied from interface: `FsIndexCollection`
    Gets the version number of this FS Index Collection.
    Specified by:
      `getVersion` in interface `FsIndexCollection`
    Returns:
      the version number of this FS Index Collection, as a String, null if none has been specified.
    See Also:
      - `ResourceMetaData.getVersion()`

  - ### setVersion

    public void setVersion(String aVersion)
    Description copied from interface: `FsIndexCollection`
    Sets the version number of this FS Index Collection.
    Specified by:
      `setVersion` in interface `FsIndexCollection`
    Parameters:
      `aVersion` - the version number of this FS Index Collection, as a String
    See Also:
      - `ResourceMetaData.setVersion(String)`

  - ### getDescription

    public String getDescription()
    Description copied from interface: `FsIndexCollection`
    Gets the description of this FS Index Collection.
    Specified by:
      `getDescription` in interface `FsIndexCollection`
    Returns:
      the description of this FS Index Collection, null if none has been specified.
    See Also:
      - `ResourceMetaData.getDescription()`

  - ### setDescription

    public void setDescription(String aDescription)
    Description copied from interface: `FsIndexCollection`
    Sets the description of this FS Index Collection.
    Specified by:
      `setDescription` in interface `FsIndexCollection`
    Parameters:
      `aDescription` - the description of this FS Index Collection
    See Also:
      - `ResourceMetaData.setDescription(String)`

  - ### getVendor

    public String getVendor()
    Description copied from interface: `FsIndexCollection`
    Gets the vendor of this FS Index Collection.
    Specified by:
      `getVendor` in interface `FsIndexCollection`
    Returns:
      the vendor of this FS Index Collection, as a String
    See Also:
      - `ResourceMetaData.getVendor()`

  - ### setVendor

    public void setVendor(String aVendor)
    Description copied from interface: `FsIndexCollection`
    Sets the vendor of this FS Index Collection.
    Specified by:
      `setVendor` in interface `FsIndexCollection`
    Parameters:
      `aVendor` - the vendor of this FS Index Collection, as a String, null if none has been specified.
    See Also:
      - `ResourceMetaData.setVendor(String)`

  - ### getImports

    public Import[] getImports()
    Description copied from interface: `FsIndexCollection`
    Gets the imports declared by this FS Index Collection.
    Specified by:
      `getImports` in interface `FsIndexCollection`
    Returns:
      an array of imports declared by this FS Index Collection.

  - ### setImports

    public void setImports(Import[] aImports)
    Description copied from interface: `FsIndexCollection`
    Sets the imports declared by this FS Index Collection.
    Specified by:
      `setImports` in interface `FsIndexCollection`
    Parameters:
      `aImports` - an array of imports declared by this FS Index Collection.

  - ### getFsIndexes

    public FsIndexDescription[] getFsIndexes()
    Description copied from interface: `FsIndexCollection`
    Retrieves the FS Index descriptions that are part of this collection. These define the indexes that are used to iterate over annotations in the `CAS`.
    Specified by:
      `getFsIndexes` in interface `FsIndexCollection`
    Returns:
      a description of the FS Indexes that comprise this FS Index Collection

  - ### setFsIndexes

    public void setFsIndexes(FsIndexDescription[] aFSIndexes)
    Description copied from interface: `FsIndexCollection`
    Retrieves the FS Index descriptions that are part of this collection. These define the indexes that are used to iterate over annotations in the `CAS`.
    Specified by:
      `setFsIndexes` in interface `FsIndexCollection`
    Parameters:
      `aFSIndexes` - a description of the FS Indexes that comprise this FS Index Collection

  - ### addFsIndex

    public void addFsIndex(FsIndexDescription aFsIndexDescription)
    Description copied from interface: `FsIndexCollection`
    Adds an FS Index description to this collection.
    Specified by:
      `addFsIndex` in interface `FsIndexCollection`
    Parameters:
      `aFsIndexDescription` - the FS Index description to add

  - ### removeFsIndex

    public void removeFsIndex(FsIndexDescription aFsIndexDescription)
    Description copied from interface: `FsIndexCollection`
    Removes an FS Index description from this collection.
    Specified by:
      `removeFsIndex` in interface `FsIndexCollection`
    Parameters:
      `aFsIndexDescription` - the FS Index description to remove (must be == with an FsIndexDescription in this collection, or this method will do nothing).

  - ### resolveImports

    public void resolveImports() throws InvalidXMLException
    Description copied from interface: `FsIndexCollection`
    Resolves any import declarations in this FS Index Collection, adding the imported FsIndexDescriptions directly onto this FsIndexCollection's `fsIndexes` list. The import elements are then deleted, so this results in a structure that is equivalent to the imported elements having been defined locally.
    Specified by:
      `resolveImports` in interface `FsIndexCollection`
    Throws:
      `InvalidXMLException` - if either the import target does not exist or is invalid

  - ### resolveImports

    public void resolveImports(ResourceManager aResourceManager) throws InvalidXMLException
    Description copied from interface: `FsIndexCollection`
    Resolves any import declarations in this FS Index Collection, adding the imported FsIndexDescriptions directly onto this FsIndexCollection's `fsIndexes` list. The import elements are then deleted, so this results in a structure that is equivalent to the imported elements having been defined locally.
    Specified by:
      `resolveImports` in interface `FsIndexCollection`
    Parameters:
      `aResourceManager` - the Resource Manager used to locate FS Index Collections imported by name. For example, the path in which to locate these FS Index Collections can be set via the `ResourceManager.setDataPath(String)` method.
    Throws:
      `InvalidXMLException` - if either the import target does not exist or is invalid

  - ### resolveImports

    @Deprecated public void resolveImports(Collection<String> aAlreadyImportedFsIndexURLs, ResourceManager aResourceManager) throws InvalidXMLException
    Deprecated.
    Description copied from interface: `FsIndexCollection`
    Resolves any import declarations in this FS Index Collection, adding the imported FsIndexDescriptions directly onto this FsIndexCollection's `fsIndexes` list. The import elements are then deleted, so this results in a structure that is equivalent to the imported elements having been defined locally.

    This version is used internally to resolve nested imports.

    Specified by:
      `resolveImports` in interface `FsIndexCollection`
    Parameters:
      `aAlreadyImportedFsIndexURLs` - URLs of already imported FS Index Collections, so we don't import them again.
      `aResourceManager` - the Resource Manager used to locate FS Index Collections imported by name. For example, the path in which to locate these FS Index Collections can be set via the `ResourceManager.setDataPath(String)` method.
    Throws:
      `InvalidXMLException` - if either the import target does not exist or is invalid

  - ### getXmlizationInfo

    protected XmlizationInfo getXmlizationInfo()
    Description copied from class: `MetaDataObject_impl`
    To be implemented by subclasses to return information describing how to represent this object in XML.
    Specified by:
      `getXmlizationInfo` in class `MetaDataObject_impl`
    Returns:
      information defining this object's XML representation